$(function() {

	/* -----------------------------------------------------------------
	スクロール
	----------------------------------------------------------------- */
	var $pageMenu = $("#js-pageMenu");
	var $pageMenuCon = $("#js-pageMenu-con");
	var $header = $("#js-header");

	$(window).scroll(function () {
		pageMenu();
		headerFixed();
	});

	$(window).on('load resize',function(){
		pageMenu();
		headerFixed();
	});


	/* ページメニュー */
	function pageMenu() {
		var now = $(window).scrollTop();
		var min = 500;
		var max = $('body').height() - $(window).height();
		if ($pageMenu.is(':visible') && !$pageMenu.hasClass('off')) {
			if (now < min || now > max) {
				$pageMenu.removeClass('on').addClass('off');
				if ($pageMenu.hasClass('open')) {
					menuClose(0);
				}
			}
		} else if (!$pageMenu.hasClass('on')) {
			if (now > min && now < max) {
				$pageMenu.removeClass('off').addClass('on');
			}
		}
	}

	/* ヘッダー固定 */
	function headerFixed() {
		var now = $(window).scrollTop();
		var hh = $(".header-nav").height();
		var min = 50;
		if (!$header.hasClass('fixed')) {
			if (now > min) {
				$header.addClass('fixed');
				$("#nav-koshien").css("height", hh + "px");
			}
		} else {
			if (now < min) {
				$header.removeClass('fixed');
				$("#nav-koshien").css("height", "initial");
			}
		}
	}

	/* -----------------------------------------------------------------
	メニュー作成
	----------------------------------------------------------------- */
	function menuCreate() {
		var $outline = $("<ul></ul>");
		var id_no = 0;
		
		if($('#js-nav').hasClass('no_ttlget')){
			var navItem = $('#js-nav').html();
			//固定ナビのみ
			$(".js-menu").append(navItem);

		}else if($('#js-nav').hasClass('ttlget_add')){
			//タイトル取得ナビの後に固定ナビを追加
			var navItemLi = $('#js-nav ul').html();//固定ナビ取得
			$('#js-nav').remove();//固定ナビいったん削除
			
			$(".contents_main h2,.contents_side h2").not(".menuOff").each(function () {
				var h = $(this).html();
				h = h.replace('<br>', ' ');
				var id = $(this).attr("id");
				if (!id) id = "h2_" + id_no;
				id_no++;
				$(this).attr("id", id);
				$outline.append("<li><a href='#" + id + "'>" + h + "</a></li>");
			});
			$outline.append(navItemLi);
			$(".js-menu").append($outline);
		}

		$("#js-pageMenu").show();

		$("#js-pageMenu-btn").click(function () {
			if (!$pageMenu.hasClass('open')) {
				menuOpen();
			} else {
				menuClose();
			}
		});

	}
	function menuOpen() {
		$pageMenu.removeClass('close').addClass('open');
		$pageMenuCon.slideDown("fast");
	}
	function menuClose(s) {
		if (!s) s = 200;
		$pageMenu.removeClass('open').addClass('close');
		$pageMenuCon.slideUp("fast");
	}

	/* -----------------------------------------------------------------
	 開閉
	----------------------------------------------------------------- */
	function switchCreate($tgt) {
		var btn = $tgt.attr("data-trg");
		var $btn = $tgt.find(btn);
		var cnt = $tgt.attr("data-cnt");
		var $cnt = $tgt.find(cnt);
		if (!$btn.hasClass('open')) {
			$btn.removeClass('close').addClass('close');
			$cnt.hide();
		}

		$btn.click(function () {
			if ($btn.hasClass('open')) {
				$btn.removeClass('open').addClass('close');
				$cnt.slideUp("fast");
			} else {
				$btn.removeClass('close').addClass('open');
				$cnt.slideDown("fast");
			}
		});
	}

	/* =================================================================
	ready
	================================================================= */	
	$(document).ready( function(){
	$(".header-time").clone().appendTo($("#js-header"));
		menuCreate();
		headerFixed();
		$(".js-switch").each(function () {
			switchCreate($(this));
		});
		
		//スクロール時にメニューを閉じる
		$('a[href*=#]:not(.non-scroll)').click(function(){
			if($pageMenu.hasClass('open')){
				menuClose();
			}
		});
	});

	
	/* -----------------------------------------------------------------
	 カレント表示
	----------------------------------------------------------------- */
	$(".gnavi li a").each(function(){
		var lHref = location.href.replace("index.html", "");
		if(this.href == lHref) {
			$(this).parents("li").addClass("current");
		}
	});

});